# Created by pyp2rpm-3.3.2
%global pypi_name sphinx-gallery

%bcond_with tests

Name:           python-%{pypi_name}
Version:        0.10.1
Release:        %mkrel 3
Summary:        Sphinx extension to automatically generate an examples gallery
Group:          Development/Python
License:        3-clause BSD
URL:            https://pypi.org/project/sphinx-gallery
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Sphinx extension that builds an HTML gallery of examples from any set of
Python scripts.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
%if %{with tests}
BuildRequires:  python3dist(matplotlib)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(sphinx)
%endif
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:       python3-sphinx_gallery = %{version}-%{release}

%description -n python3-%{pypi_name}
Sphinx extension that builds an HTML gallery of examples from any set of
Python scripts.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

# No need for copy_sphinxgallery.sh
rm -r %{buildroot}%{_bindir}

%if %{with tests}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/sphinx_gallery
%{python3_sitelib}/sphinx_gallery-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.10.1-3.mga9
+ Revision: 1823106
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 mrambo3501 <mrambo3501> 0.10.1-2.mga9
+ Revision: 1781236
- rebuild for python-3.10

* Fri Feb 04 2022 mrambo3501 <mrambo3501> 0.10.1-1.mga9
+ Revision: 1771357
- version 0.10.1

* Mon Mar 15 2021 wally <wally> 0.8.2-2.mga9
+ Revision: 1703392
- rebuild for python 3.9

* Mon Mar 01 2021 guillomovitch <guillomovitch> 0.8.2-1.mga9
+ Revision: 1695270
- new version 0.8.2

* Mon Sep 14 2020 guillomovitch <guillomovitch> 0.8.1-1.mga8
+ Revision: 1626569
- new version 0.8.1

* Sat May 30 2020 wally <wally> 0.7.0-1.mga8
+ Revision: 1589084
- new version 0.7.0

* Tue May 19 2020 wally <wally> 0.6.2-1.mga8
+ Revision: 1586225
- new version 0.6.2

* Sat Apr 11 2020 wally <wally> 0.6.1-1.mga8
+ Revision: 1566391
- new version 0.6.1

* Tue Feb 18 2020 umeabot <umeabot> 0.5.0-2.mga8
+ Revision: 1538592
- Mageia 8 Mass Rebuild

* Sat Nov 23 2019 wally <wally> 0.5.0-1.mga8
+ Revision: 1462508
- new version 0.5.0

* Mon Sep 16 2019 daviddavid <daviddavid> 0.3.1-3.mga8
+ Revision: 1442121
- rebuild for python3.8

* Sat Jul 20 2019 wally <wally> 0.3.1-2.mga8
+ Revision: 1423112
- drop python2 support

* Sun Apr 14 2019 wally <wally> 0.3.1-1.mga7
+ Revision: 1389960
- new version 0.3.1

* Sat Jan 12 2019 shlomif <shlomif> 0.2.0-1.mga7
+ Revision: 1355689
- pyp2rpm

